Index: src/sas/sasgui/guiframe/aboutbox.py
===================================================================
--- src/sas/sasgui/guiframe/aboutbox.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
+++ src/sas/sasgui/guiframe/aboutbox.py	(revision 1b4cb415644d6a02d2bc0e559654a42560242058)
@@ -108,4 +108,5 @@
         self.bitmap_button_tudelft = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_dls = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_bam = wx.BitmapButton(self, -1, wx.NullBitmap)
 
         self.static_line_3 = wx.StaticLine(self, -1)
@@ -128,4 +129,5 @@
         self.Bind(wx.EVT_BUTTON, self.onTudelftLogo, self.bitmap_button_tudelft)
         self.Bind(wx.EVT_BUTTON, self.onDlsLogo, self.bitmap_button_dls)
+        self.Bind(wx.EVT_BUTTON, self.onBamLogo, self.bitmap_button_bam)
         # end wxGlade
         # fill in acknowledgements
@@ -226,4 +228,10 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_dls.SetBitmapLabel(logo)
+
+        image = file_dir + "/images/bam_logo.png"
+        if os.path.isfile(config._bam_logo):
+            image = config._bam_logo
+        logo = wx.Bitmap(image)
+        self.bitmap_button_bam.SetBitmapLabel(logo)
 
         # resize dialog window to fit version number nicely
@@ -258,4 +266,5 @@
         self.bitmap_button_tudelft.SetSize(self.bitmap_button_tudelft.GetBestSize())
         self.bitmap_button_dls.SetSize(self.bitmap_button_dls.GetBestSize())
+        self.bitmap_button_bam.SetSize(self.bitmap_button_bam.GetBestSize())
         # end wxGlade
 
@@ -325,4 +334,6 @@
         sizer_logos.Add(self.bitmap_button_dls, 0,
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_bam, 0,
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
 
         sizer_logos.Add((10, 50), 0, wx.ADJUST_MINSIZE, 0)
@@ -430,4 +441,11 @@
         event.Skip()
 
+    def onBamLogo(self, event):
+        """
+        """
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._bam_url)
+        event.Skip()
+
 # end of class DialogAbout
 
Index: src/sas/sasgui/guiframe/config.py
===================================================================
--- src/sas/sasgui/guiframe/config.py	(revision 8ac05a59a0078f40fc8af4febae16624b9d5c818)
+++ src/sas/sasgui/guiframe/config.py	(revision 1b4cb415644d6a02d2bc0e559654a42560242058)
@@ -51,5 +51,5 @@
 '''M. Doucet et al. SasView Version 4.1.2, Zenodo, 10.5281/zenodo.825675'''
 _acknowledgement =  \
-'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
+'''This work was originally developed as part of the DANSE project funded by the US NSF under Award DMR-0520547,\n but is currently maintained by a collaboration between UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS, BAM and the scattering community.\n\n SasView also contains code developed with funding from the EU Horizon 2020 programme under the SINE2020 project (Grant No 654000).\nA list of individual contributors can be found at: http://www.sasview.org/contact.html
 '''
 
@@ -90,9 +90,10 @@
 _tudelft_url = "http://www.tnw.tudelft.nl/en/cooperation/facilities/reactor-instituut-delft/"
 _dls_url = "http://www.diamond.ac.uk/"
+_bam_url = "http://www.bam.de/"
 _danse_url = "http://www.cacr.caltech.edu/projects/danse/release/index.html"
 _inst_url = "http://www.utk.edu"
 _corner_image = os.path.join(icon_path, "angles_flat.png")
 _welcome_image = os.path.join(icon_path, "SVwelcome.png")
-_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, and DLS"
+_copyright = "(c) 2009 - 2018, UTK, UMD, NIST, ORNL, ISIS, ESS, ILL, ANSTO, TU Delft, DLS and BAM"
 marketplace_url = "http://marketplace.sasview.org/"
 
Index: src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 2924532bedb06633b9888eb37ac4bd1a31dbbeff)
+++ src/sas/sasgui/guiframe/local_perspectives/data_loader/data_loader.py	(revision 9c7e2b8361553f8e2f246d344c791c385f3b2254)
@@ -182,5 +182,4 @@
                 file_errors[basename] = [log_msg]
                 continue
-
             try:
                 message = "Loading {}...\n".format(p_file)
@@ -204,12 +203,8 @@
                 self.load_update(message="Loaded {}\n".format(p_file),
                                  info="info")
-
             except NoKnownLoaderException as e:
                 exception_occurred = True
-                error_message = "Loading data failed!\n" + e.message
-                self.load_complete(output=None,
-                                   message=error_message,
-                                   info="warning")
-
+                error_message = "Loading data failed!" + e.message
+                file_errors[basename] = [error_message]
             except Exception as e:
                 exception_occurred = True
@@ -220,7 +215,5 @@
                 file_err += " following:\n"
                 file_err += e.message
-                self.load_complete(output=None,
-                                   message=file_err,
-                                   info="error")
+                file_errors[basename] = [file_err]
 
         if len(file_errors) > 0:
@@ -231,5 +224,4 @@
                 for message in error_array:
                     error_message += message + "\n"
-                error_message = error_message[:-1]
             self.load_complete(output=output,
                                message=error_message,
Index: src/sas/sasgui/perspectives/corfunc/media/corfunc_help.rst
===================================================================
--- src/sas/sasgui/perspectives/corfunc/media/corfunc_help.rst	(revision 501712f1244207d4374798e9fc89547f1f6af96d)
+++ src/sas/sasgui/perspectives/corfunc/media/corfunc_help.rst	(revision 490f79075e15c069f2a131d3ccd6a1e510e7dcfe)
@@ -33,6 +33,6 @@
 Both analyses are performed in 3 stages:
 
-*  Extrapolation of the scattering curve to :math:`Q = 0` and toward 
-   :math:`Q = \infty`
+*  Extrapolation of the scattering curve to :math:`q = 0` and toward 
+   :math:`q = \infty`
 *  Smoothed merging of the two extrapolations into the original data
 *  Fourier / Hilbert Transform of the smoothed data to give the correlation
@@ -47,5 +47,5 @@
 -------------
 
-To :math:`Q = 0`
+To :math:`q = 0`
 ................
 
@@ -67,5 +67,5 @@
 the impact on any extrapolated parameters will be least significant.
 
-To :math:`Q = \infty`
+To :math:`q = \infty`
 .....................
 
@@ -145,7 +145,7 @@
 	- do they smoothly curve onto the ordinate at x = 0? (if not check the value 
 	  of :math:`\sigma` is sensible)
-	- are there ripples at x values corresponding to (2 :math:`pi` over) the two 
+	- are there ripples at x values corresponding to (2 :math:`\pi` over) the two 
 	  q values at which the extrapolated and experimental data are merged?
-	- are there any artefacts at x values corresponding to 2 :math:`pi` / q\ :sub:`max` in 
+	- are there any artefacts at x values corresponding to 2 :math:`\pi` / q\ :sub:`max` in 
 	  the experimental data? 
 	- and lastly, do the significant features/peaks in the correlation functions 
@@ -158,5 +158,6 @@
     -q^{4} I(q)
 
-The IDF is proportional to the second derivative of Î\ :sub:`1`\ (x).
+The IDF is proportional to the second derivative of Î\ :sub:`1`\ (x) and represents a 
+superposition of thickness distributions from all the contributing lamellae. 
 
 Hilbert
@@ -192,4 +193,8 @@
 *   Local Crystallinity :math:`= L_c/L_p`
 
+.. warning:: If the sample does not possess lamellar morphology then "Compute 
+    Parameters" will return garbage!
+	
+
 Volume Fraction Profile
 .......................
@@ -213,4 +218,5 @@
 
 The reader is directed to the references for information on these parameters.
+
 
 References
@@ -263,5 +269,8 @@
 Once the Q ranges have been set, click the "Calculate Bg" button to determine the 
 background level. Alternatively, enter your own value into the box. If the box turns 
-yellow this indicates that background subtraction has created some negative intensities.
+yellow this indicates that background subtraction has created some negative intensities. 
+This may still be fine provided the peak intensity is very much greater than the 
+background level. The important point is that the extrapolated dataset must approach 
+zero at high-q.
 
 Now click the "Extrapolate" button to extrapolate the data. The graph window will update 
@@ -296,3 +305,3 @@
 
 .. note::
-    This help document was last changed by Steve King, 26Sep2017
+    This help document was last changed by Steve King, 28Sep2017
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision fa412df39d3c5338c2c5f69fed935b428f385ebe)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision e9920cd1fef162ad399cc9f42a588bb14006c327)
@@ -130,8 +130,10 @@
         my_time, date = self.timestamp
         file_name = self.file
+        from sas.sasview.__init__ import __version__ as sasview_version
 
         state_num = int(self.saved_state['state_num'])
         state = "\n[Invariant computation for %s: " % file_name
-        state += "performed at %s on %s] \n" % (my_time, date)
+        state += "performed at %s on %s] " % (my_time, date)
+        state += "[SasView v%s]\n" % (sasview_version)
         state += "State No.: %d \n" % state_num
         state += "\n=== Inputs ===\n"
